#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    int n, k, b;
    cin >> n >> k;
    int a[n];
    for(int i = 0; i < n; i++){
        cin >> a[i];
        if(a[i] == k){
            b = i;
        }
    }
    if(b == n - 1){
        cout << a[0];
    }
    else{
        cout << a[b + 1];
    }


    return 0;
}